.assignment
  &-keyword-list
    li
      max-width: 100%
      box-sizing: border-box
      display: inline-flex
      align-items: center
      justify-content: space-between
      padding: 6px 10px 6px 12px
      margin-right: 15px
      margin-bottom: 20px
      color: $key-word-color
      font-weight: 600
      font-size: 14px
      border-radius: 4px
      background: $key-word-background
      border: 1px solid $key-word-border
      span
        max-width: calc(100% - 35px)
        overflow: hidden
      svg
        margin-left: 15px
        width: 20px
        height: 20px
  &-content
    max-width: calc(100% - 230px) !important
    flex: 1 1
    .list-wrapper
      width: auto!important
      flex: 1 1
      max-height: 70vh
      overflow-y: auto
  &-loader
    width: auto
    flex: 1 1
    background: rgba(0,0,0,0.1)
    position: relative
    display: flex
    align-items: center
    justify-content: center
    .spinner,
    .spinner:after,
    .spinner:before
      color: $button-primary
      background: $button-primary

  &-detail
    padding: 40px 0
    .table-row, .table-header
      margin-right: 0
      & > div
        box-sizing: border-box
        padding-right: 10px
    .list-wrapper
      max-height: 310px
      overflow: scroll
    &__header
      padding: 0 0 0 40px
      font-size: 15px
      font-weight: 600
      a
        display: flex
        align-items: center
        cursor: pointer
        span
          padding-left: 15px
          color: $head-link
          letter-spacing: 0.29px
    &-block
      margin-top: 25px
      width: calc(100% - 42px)
      max-width: 700px
      margin-bottom: 30px
      background: #FFFFFF
      border: 1px solid $detail-border-color
      padding: 20px
      &-header
        display: flex
        justify-content: space-between
      &-controls
        width: 100%
        display: flex
        justify-content: space-between
        margin-top: 10px
    &-title
      color: $head-link
      font-size: 21px
      font-weight: 600
      letter-spacing: 0.4px
      line-height: 32px
    &-date
      color: $button-default
      font-size: 14px
      letter-spacing: 0.08px
      line-height: 16px
      font-weight: 400
    &-subject
      padding: 10px 0
      color: $font-online-name
      font-size: 18px
      line-height: 24px
    &-description
      color: $head-link
      font-size: 15px
      letter-spacing: 0.29px
      line-height: 23px
      font-weight: 400
      transition: all .5s
  &-icons
    svg
      width: 30px
      height: 30px
      fill: $gray-menu-font
      cursor: pointer
      g
        fill: $gray-menu-font
  &-marks
    display: flex
    flex-wrap: wrap
    align-items: center
    justify-content: center
    .markItem
      margin-left: 18px
      margin-bottom: 10px
  &-teacher-table
    .table-header, .table-row
      & > div
        box-sizing: border-box
        padding-right: 10px
        &:nth-child(1)
          max-width: 210px
        &:nth-child(2)
          max-width: 210px
        &:nth-child(3)
          max-width: 130px
        &:nth-child(4)
          max-width: 130px
        &:nth-child(5)
          max-width: 185px
        &:nth-child(6)
          max-width: 185px
        &:nth-child(7)
          max-width: 130px
        &:nth-child(8)
          max-width: 130px
  &-student
    box-sizing: border-box
    padding: 20px 54px
    .assignment-name
      color: $head-link
      font-size: 18px
      font-weight: 600
      letter-spacing: 0.34px
      line-height: 27px
    .list-wrapper
      overflow: auto
      height: calc(80vh - 70px)
    .table-header
      margin: 60px 0 0
    .table-row
      margin: 0
      & > div
        font-weight: 400
    .table-row, .table-header
      & > div
        box-sizing: border-box
        padding-right: 10px
        &:nth-child(1)
          max-width: 210px
        &:nth-child(2)
          max-width: 140px
        &:nth-child(3)
          max-width: 130px
        &:nth-child(4)
          max-width: 130px
        &:nth-child(5)
          max-width: 185px
        &:nth-child(6)
          max-width: 185px
        &:nth-child(7)
          max-width: 100px

